package thermal;

import java.text.MessageFormat;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class Messages {

    private static final String BUNDLE_NAME = "thermal.messages"; //$NON-NLS-1$
    private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle.getBundle(BUNDLE_NAME);

    private Messages() {
    }

    public static String getString(String key, Object... args) {
        try {
            String msg = RESOURCE_BUNDLE.getString(key);
            if (args != null && args.length > 0) {
                // Reminder: Message format turns '' into ', and turns anything between single quotes in to a literal string.
                msg = MessageFormat.format(msg, args);
            }
            return msg;
        } catch (MissingResourceException e) {
            return '!' + key + '!';
        }
    }
}
